Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindCompoundingIngredientRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindCompoundingIngredientRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:26:47+02:00",
               comments="JAXB RI v2.3.6")
    public class FindCompoundingIngredientRequest

extends DicsRequestType
implements Serializable

Java class for FindCompoundingIngredientRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompoundingIngredientRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByCNK" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByAnyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindCompoundingIngredientRequest()`

Method Summary
`String` | `getFindByAnyName()` Gets the value of the findByAnyName property.
`String` | `getFindByCNK()` Gets the value of the findByCNK property.
`void` | `setFindByAnyName(String value)` Sets the value of the findByAnyName property.
`void` | `setFindByCNK(String value)` Sets the value of the findByCNK property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCompoundingIngredientRequest

    public FindCompoundingIngredientRequest()

Method Detail

### getFindByAnyName

    public String getFindByAnyName()

  Gets the value of the findByAnyName property.

  Returns:
    possible object is `String`

### setFindByAnyName

    public void setFindByAnyName(String value)

  Sets the value of the findByAnyName property.

  Parameters:
    `value` - allowed object is `String`

### getFindByCNK

    public String getFindByCNK()

  Gets the value of the findByCNK property.

  Returns:
    possible object is `String`

### setFindByCNK

    public void setFindByCNK(String value)

  Sets the value of the findByCNK property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.